Get Endpoint
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/endpoint \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/endpoint"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/endpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoint": {
"id": "<string>",
"name": "<string>",
"appName": "<string>",
"state": {
"state": "<string>",
"error": "<string>",
"message": "<string>"
},
"url": "<string>",
"workerConfig": {
"minNum": 123,
"maxNum": 123,
"freeTimeout": "<string>",
"maxConcurrent": "<string>",
"gpuNum": 123,
"requestTimeout": 123,
"cudaVersion": "<string>"
},
"policy": {
"type": "<string>",
"value": "<string>"
},
"image": {
"image": "<string>",
"authId": "<string>",
"command": "<string>"
},
"rootfsSize": 123,
"volumeMounts": [
{
"type": "<string>",
"id": "<string>",
"size": 123,
"mountPath": "<string>"
}
],
"envs": [
{
"key": "<string>",
"value": "<string>"
}
],
"ports": [
{
"port": 123
}
],
"workers": [
{
"id": "<string>",
"state": {
"state": "<string>",
"error": "<string>",
"message": "<string>"
},
"log": "<string>",
"metrics": "<string>",
"healthy": true
}
],
"products": [
{
"id": "<string>"
}
],
"healthy": {
"path": "<string>",
"initialDelay": 123,
"period": 123,
"timeout": 123,
"successThreshold": 123,
"failureThreshold": 123
},
"clusterID": "<string>",
"log": "<string>"
}
}Serverless GPUs
Get Endpoint
GET
/
gpu-instance
/
openapi
/
v1
/
endpoint
Get Endpoint
Request Headers
string
obrigatório
Enum:
application/jsonstring
obrigatório
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
string
obrigatório
Endpoint ID.
Response
object
obrigatório
Endpoint information.
Ocultar properties
Ocultar properties
string
obrigatório
Endpoint ID.
string
obrigatório
Endpoint name.
string
obrigatório
Application name.
object
obrigatório
string
obrigatório
Endpoint URL. You can access your HTTP service via this URL.
object
obrigatório
Worker configuration for the endpoint.
Ocultar properties
Ocultar properties
object
obrigatório
Auto-scaling policy for the endpoint.
Ocultar properties
Ocultar properties
string
obrigatório
Policy type. Options:
queue: Queue latency policy, adjusts the number of workers based on the waiting time of requests in the queue.concurrency: Queue request policy, automatically adjusts the number of workers based on the number of requests in the queue.
string
obrigatório
The meaning of value depends on the type:
- If type = queue, value is the queue waiting time in seconds.
- If type = concurrency, value is the maximum number of requests in the queue.
object
obrigatório
integer
obrigatório
System disk size.
object[]
obrigatório
Storage configuration for the endpoint.
object[]
obrigatório
object[]
obrigatório
Worker information for the endpoint.
Ocultar properties
Ocultar properties
string
obrigatório
Worker ID.
object
obrigatório
string
obrigatório
Log path for the worker.
string
obrigatório
Monitoring information for the worker.
boolean
obrigatório
Whether the worker is healthy.
object
obrigatório
Health check configuration for the endpoint.
Ocultar properties
Ocultar properties
string
obrigatório
Path to be checked via HTTP request for health monitoring.
integer
obrigatório
Time to wait after startup before starting health checks, in seconds.
integer
obrigatório
Interval between health checks, in seconds.
integer
obrigatório
Timeout for health checks, in seconds.
integer
obrigatório
Number of consecutive successes required to consider the check successful after a previous failure.
integer
obrigatório
Number of consecutive failures required to consider the check failed after a previous success.
string
obrigatório
Cluster ID where the cloud storage resides. Returned when using cloud storage.
string
obrigatório
Log path for the endpoint.
Última modificação em 15 de maio de 2026
⌘I